# Uses of Class
nu.validator.htmlparser.io.Encoding

Packages that use Encoding
Package
Description
nu.validator.htmlparser.extra
nu.validator.htmlparser.io

## Uses of Encoding in nu.validator.htmlparser.extra

Methods in nu.validator.htmlparser.extra that return Encoding
Modifier and Type
Method
Description
`Encoding`
IcuDetectorSniffer.`sniff()`

## Uses of Encoding in nu.validator.htmlparser.io

Fields in nu.validator.htmlparser.io declared as Encoding
Modifier and Type
Field
Description
`static final Encoding`
Encoding.`UTF16`
`static final Encoding`
Encoding.`UTF16BE`
`static final Encoding`
Encoding.`UTF16LE`
`static final Encoding`
Encoding.`UTF8`
`static final Encoding`
Encoding.`WINDOWS1252`
Methods in nu.validator.htmlparser.io that return Encoding
Modifier and Type
Method
Description
`protected Encoding`
Driver.`encodingFromExternalDeclaration(String encoding)`
Initializes a decoder from external decl.
`static Encoding`
Encoding.`forName(String name)`
`Encoding`
Encoding.`getActualHtmlEncoding()`
Returns the actualHtmlEncoding.
`Encoding`
MetaSniffer.`sniff(ByteReadable readable)`
Main loop.
`protected Encoding`
Driver.`whineAboutEncodingAndReturnActual(String encoding, Encoding cs)`
Methods in nu.validator.htmlparser.io with parameters of type Encoding
Modifier and Type
Method
Description
`void`
Driver.`setEncoding(Encoding encoding, Confidence confidence)`
`void`
HtmlInputStreamReader.`switchEncoding(Encoding newEnc)`
`protected Encoding`
Driver.`whineAboutEncodingAndReturnActual(String encoding, Encoding cs)`
Constructors in nu.validator.htmlparser.io with parameters of type Encoding
Modifier
Constructor
Description
``
`HtmlInputStreamReader(InputStream inputStream, ErrorHandler errorHandler, Tokenizer tokenizer, Driver driver, Encoding encoding)`